Package org.apache.sysds.runtime.util

## Class MemoryMonitor

- java.lang.Object
- - org.apache.sysds.runtime.util.MemoryMonitor

All Implemented Interfaces:
  `Runnable`

    public class MemoryMonitor
    extends Object
    implements Runnable

This memory monitor periodically calls garbage collection in order to obtain the actual memory consumption during runtime.

### Constructor Summary

Constructors
`MemoryMonitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemoryMonitor

    public MemoryMonitor()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`